PIP-CONFIG(1)

NAME
pip-config - description of pip config command

DESCRIPTION

Manage local and global configuration. Subcommands:

list: List the active configuration (or from the file specified) edit: Edit the configuration file in an editor get: Get the value associated with name set: Set the name=value unset: Unset the value associated with name

If none of --user, --global and --venv are passed, a virtual environment configuration file is used if one is active and the file exists. Otherwise, all modifications happen on the to the user file by default.

USAGE

pip [<file-option>] list
pip [<file-option>] [--editor <editor-path>] edit
pip [<file-option>] get name
pip [<file-option>] set name value
pip [<file-option>] unset name

OPTIONS

--editor <editor>
    Editor to use to edit the file. Uses VISUAL or EDITOR environment variables if not provided.

--global
    Use the system-wide configuration file only

--user
    Use the user configuration file only

--venv
    Use the virtualenv configuration file only

AUTHOR
pip developers

COPYRIGHT
2008-2018, PyPA